Package com.xebialabs.xlrelease.domain.udm.reporting

# Class DeploymentRecord

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.facet.Facet
com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
com.xebialabs.xlrelease.domain.udm.reporting.DeploymentRecord

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(label="Deployment", description="Unified Data Model for Deployment") public class DeploymentRecord extends TaskReportingRecord

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `CONFIGURATION_URI, scope`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationName()`
  `String`
  `getDeploymentTask()`
  `String`
  `getDeploymentTask_url()`
  `String`
  `getEnvironmentName()`
  `DeploymentStatus`
  `getStatus()`
  `String`
  `getVersion()`
  `void`
  `setApplicationName(String applicationName)`
  `void`
  `setDeploymentTask(String deploymentTask)`
  `void`
  `setDeploymentTask_url(String deploymentTask_url)`
  `void`
  `setEnvironmentName(String environmentName)`
  `void`
  `setStatus(DeploymentStatus status)`
  `void`
  `setVersion(String version)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

  `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeploymentRecord

    public DeploymentRecord()

- ## Method Details

  - ### getDeploymentTask

    public String getDeploymentTask()

  - ### setDeploymentTask

    public void setDeploymentTask(String deploymentTask)

  - ### getDeploymentTask_url

    public String getDeploymentTask_url()

  - ### setDeploymentTask_url

    public void setDeploymentTask_url(String deploymentTask_url)

  - ### getApplicationName

    public String getApplicationName()

  - ### setApplicationName

    public void setApplicationName(String applicationName)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public void setVersion(String version)

  - ### getEnvironmentName

    public String getEnvironmentName()

  - ### setEnvironmentName

    public void setEnvironmentName(String environmentName)

  - ### getStatus

    public DeploymentStatus getStatus()

  - ### setStatus

    public void setStatus(DeploymentStatus status)